@import '../../colors';

.workflow {
  overflow-y: hidden;
  margin-bottom: 80px;
  border: solid @lightBlue 3px;

  .spacer {
    flex: 1 1 auto;
  }

  .header {
    font-weight: bold;
    background-color: @lightBlue;
    margin-bottom: 10px;
  }
}

.status {
  margin-left: 20px;
  font-weight: bold;
  vertical-align: bottom;
}

.status.error {
  background-color: @red !important;
}

.status.completed {
  background-color: @green !important;
}

.status.stopped {
  background-color: @yellow !important;
}

.status.pending {
  background-color: @purple !important;
}

.info {
  display: flex;
  line-height: 36px;
  vertical-align: middle;
  padding-left: 15px;
  padding-right: 15px;

  .reference {
    a:link {
      color: black;
      text-decoration: none;
    }

    a:hover {
      color: blue;
    }

    a:active {
      color: green;
    }

    flex: 1;
    padding: 0px 4px;
    .item {
      display: flex;

      label {
        min-width: 120px;
        font-weight: bold;
        color: @grey;
      }
    }

    .link {
      cursor: pointer;
      color: @blue;
    }
  }

  .duration {
    flex: 1;
  }

  .user-launch {
    flex: 1;

    .item {
      display: flex;

      label {
        min-width: 120px;
        font-weight: bold;
        color: @grey;
      }
    }

    .link {
      cursor: pointer;
      color: @blue;
    }
  }

  .steps-count {
    align-content: flex-end;
    padding: 0px 6px;
    display: inline-flex;
    text-align: right;

    .count {
      min-width: 50px;
    }
  }

  .pause,
  .resume {
    button {
      width: 120px;
    }
  }

  .abort,
  .stop {
    button {
      width: 100px;
    }
  }
}

.line {
  display: flex;
  font-family: sans-serif;

  .step {
    min-height: 32px;
    min-width: 200px;
    padding: 10px;
  }
}

mat-chip-list {
  display: inline-block;
}

.parameters {
  border: 1px solid #ccc;
  border-radius: 4px;
  i {
    vertical-align: middle;
    cursor: pointer;
  }
}

.parameter {
  padding-left: 10px;
  border-left: 4px solid @lightGrey;

  label {
    font-weight: bold;
    min-width: 150px;
    display: inline-block;
  }
}

.notification_hooks {
  border: 1px solid #ccc;
  border-radius: 4px;
  i {
    vertical-align: middle;
    cursor: pointer;
  }
}

.notification_hook {
  padding-left: 10px;
  line-height: 1.2em;
  border-left: 4px solid @lightGrey;

  label {
    max-width: 40%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-weight: bold;
    min-width: 150px;
    display: inline-block;
  }

  .ok {
    color: @green;
  }

  .error {
    color: @red;
  }

  label span {
    display: block;
    font-weight: normal;
    // overflow: hidden;
    // text-overflow: ellipsis;
    // max-width: 40%;
  }
}
